from django import forms
from .models import Almacen, Pict1

class AlmacenForm(forms.ModelForm):
    class Meta:
        model = Almacen
        fields = [
                'name1',
                'emblema_corto',
                'emblema_largo',
                #'slug',
                'city', 
                'state', 
                'country',
                'address', 
                #'zipcode',
                'phone1',
                'phone2', 
                'correo',
                'image', 
                'image_description',
                'logo',
                'image_homepage', 
                'summary',
                'quien',
                'tube',
                'face',
                'insta',
                'twit',
                ]
        widgets = {
            'slug': forms.TextInput(attrs={'class':'form-control','type':'hidden',}),
        }

    def clean(self):
        data = self.cleaned_data
        name1 = data.get("name1")
        qs = Almacen.objects.filter(name1__icontains=name1)
        if qs.exists():
            self.add_error("name1", f"\"{name1}\" ya está en uso. Favor escoger otro nombre")
        return data

class Pict1Form(forms.ModelForm):
    class Meta:
        model = Pict1
        fields = [
                'title',
                #'slug',
                'image_description',
                'summary',
                'image',
                ]
        widgets = {
            'slug': forms.TextInput(attrs={'class':'form-control','type':'hidden',}),
        }

    def clean(self):
        data = self.cleaned_data
        title = data.get("title")
        qs = Pict1.objects.filter(title__icontains=title)
        if qs.exists():
            self.add_error("title", f"\"{title}\" ya está en uso. Favor escoger otro titulo")
        return data